[Builtin Hooks]
bpfmt = true
clang_format = true
commit_msg_changeid_field = true
commit_msg_test_field = true
google_java_format = true
rustfmt = true

[Builtin Hooks Options]
clang_format = --commit ${PREUPLOAD_COMMIT} --style file --extensions c,h,cc,cpp
rustfmt = --config-path=rustfmt.toml

[Hook Scripts]
do_not_use_DO_NOT_MERGE = ${REPO_ROOT}/build/soong/scripts/check_do_not_merge.sh ${PREUPLOAD_COMMIT}
check_java_paths = ${REPO_ROOT}/frameworks/libs/modules-utils/tools/check_java_paths.py

[Tool Paths]
google-java-format = ${REPO_ROOT}/prebuilts/tools/common/google-java-format/google-java-format
google-java-format-diff = ${REPO_ROOT}/prebuilts/tools/common/google-java-format/google-java-format-diff.py
